Bug 102725 - Eclipse doesn't display non-ASCII characters nicely
Summary: Eclipse doesn't display non-ASCII characters nicely
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: eclipse   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-20 11:11 UTC by Anthony Green
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:35:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anthony Green 2003-08-20 11:11:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
If you log in using a french language locale, gdb will emit nice french messages
to the console, some of which contain accents.  These messages look garbled when
displayed through Eclipse.

For instance, here's a gdb error message that looks great on the console, but
messed up through Eclipse.

Warning: Cannot insert breakpoint 0.  Error accessing memory address 0x1: Erreur
d'entr303251e/sortie.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log in using french.
2.Create a simple hello world app
3.Step through to the very end.  I get the above error message every time when I
run the Taroon beta eclipse snapshot on RHL9.
    

Additional info:

Comment 1 Tom Tromey 2003-09-19 22:46:05 UTC
For the time being, I've set up the gcj-eclipse to force
LANG=C.  This also works around bugs reported on the public
compiled-eclipse list about locale-related failures.
BTW, these reports should be pushed to the upstream
eclipse.org bugzilla.


Comment 2 RHEL Product and Program Management 2007-10-19 19:35:18 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.